/*
 *  ProjectTestCase.java
 *  Copyright (C) 2000  Joshua T. Rowe
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *  To contact the author:
 *  email : jrowe3@home.com
 *  web   : http://jrowe.dhs.org/~jrowe/
 */

package jrowe.test.getopt;

import java.util.Arrays;
import java.util.List;

import junit.framework.Test;
import junit.framework.TestSuite;

/**
 * @author Joshua T. Rowe
 * @version 1.0  08 MAY 2000  Intial version.
 */
public class ProjectTestCase extends jrowe.test.ProjectTestCase {

    private static final String[] TEST_CLASS_NAMES = {
        "jrowe.test.getopt.GetoptTest"
    };

    public ProjectTestCase() {
        super("Getopt");
    }

    protected List createTestList() {
        List list = super.createTestList();

        list.addAll(Arrays.asList(TEST_CLASS_NAMES));

        return list;
    }

    public static Test suite() {
        return new ProjectTestCase();
    }

    public static void main(String[] args) {
        junit.textui.TestRunner.run(suite());
    }

}

