/*
 *  ClassUtilTest.java
 *  Copyright (C) 2000  Joshua T. Rowe
 *
 *  This library is free software; you can redistribute it and/or
 *  modify it under the terms of the GNU Library General Public
 *  License as published by the Free Software Foundation; either
 *  version 2 of the License, or (at your option) any later version.
 *
 *  This library is distributed in the hope that it will be useful,
 *  but WITHOUT ANY WARRANTY; without even the implied warranty of
 *  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 *  Library General Public License for more details.
 *
 *  You should have received a copy of the GNU Library General Public
 *  License along with this library; if not, write to the Free
 *  Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA
 *
 *
 *  To contact the author:
 *  email : jrowe3@home.com
 *  web   : http://jrowe.dhs.org/~jrowe/
 */

package jrowe.test.util;

import jrowe.test.TestCase;

import jrowe.util.ClassUtil;

import junit.framework.Test;
import junit.framework.TestSuite;

/*
 * JUnit test case for <code>jrowe.util.ClassUtil</code>
 *
 * @version 1.0 MAY 12 2000  Initial version
 */
public class ClassUtilTest extends TestCase {

    /**
     * Creates a <code>ClassUtilTest</code>.
     */
    public ClassUtilTest(String name) {
        super(name);
    }

    /**
     * Tests <code>ClassUtil.getMethodName</code>.
     *
     * @see jrowe.util.ClassUtil#getMethodName
     */
    public void testGetMethodName() {
        String methodName = "testGetMethodName";
        assert(methodName.equals(ClassUtil.getMethodName()));
    }

    /**
     * Tests <code>ClassUtil.getClassName</code>.
     *
     * @see jrowe.util.ClassUtil#getClassName
     */
    public void testGetClassName() {
        String className = getClass().getName();
        assert(className.equals(ClassUtil.getClassName()));
    }

    public static Test suite() {
        return new TestSuite(ClassUtilTest.class);
    }

}

