<?

#Joshua T. Rowe
# 2000-07-03

function createSpacer() {
    echo("<p>&nbsp;</p>\n");
}

function printParagraphList($list) {
    while ( list($key, $paragraph) = each($list) ) {
        echo($paragraph);
        echo("<br>");
        echo("\n");
    }
}

function printLink($link) {
    $text = $link['desc'];
    if ( $text == "" ) {
        $text = $link['url'];
    }

    echo("<a href=\"");
    echo($link['url']);
    echo("\">");
    echo($text);
    echo("</a>");
}

function printLinks($links) {
    while ( list($key, $link) = each($links) ) {
        printLink($link);
        print("<br>");
        print("\n");
    }
}

function createFileLink($link) {
    echo("<p>");
    echo("\n");

    printLink(array(
        'url' => $link['file']
    ));
    echo("\n");
    echo("<br>");
    echo("\n");

    printParagraphList($link['desc']);

    echo("</p>");
    echo("\n");
}

function createCounterInfo($datafile) {
    echo("<img src=\"/cgi-bin/Count.cgi?df=$datafile\" alt=\"a counter\">");
}

function createProjectPage($project) {
    
    $pvString = $project[name] . "-" . $project[version];

    echo("<html>");
    echo("<head>");
    echo("\n");
    echo("<title>");
    echo($pvString);
    echo("</title>");
    echo("\n");
    echo("</head>");
    echo("\n");

    echo("<body>");
    echo("<p>");
    echo("\n");
    echo("<center>");
    echo("<h1>");
    echo($pvString);
    echo("</h1>");
    echo("</center>");
    echo("\n");
    echo("</p>");
    echo("\n");

    echo("<p>");
    echo("<hr>");
    echo("</p>");
    echo("\n");

    printParagraphList($project['desc']);

    echo("<p>");
    echo("This software is licensed under the ");
    echo("<a href=\"");
    echo("http://www.gnu.org/copyleft/lesser.html");
    echo("\">");
    echo("GNU LPGL");
    echo("</a>");
    echo("<a href=\"");
    echo("COPYING");
    echo("\">");
    echo("(local)");
    echo("</a>");
    echo("</p>");
    echo("\n");

    createFileLink(array(
        'file' => "README",
        'desc' => array(
            "The README/INSTALL"
        )
    ));

    createFileLink(array(
        'file' => $pvString . ".tar.gz",
        'desc' => array(
            "The distribution archive.",
            "It contains the source code, a class jar, and precompiled " .
            "api documentation."
        )
    ));

    echo("<p>");
    echo("The api ");
    echo("<a href=\"");
    echo("docs/api/index.html");
    echo("\">");
    echo("documentation");
    echo("</a>");
    echo(" (");
    echo("<a href=\"");
    echo("docs/api/overview-summary.html");
    echo("\">");
    echo("NO FRAMES");
    echo("</a>");
    echo(")");
    echo("</p>");
    echo("\n");

    echo("<p>");
    echo("Useful (and/or cool) Links:");
    echo("<br>");
    printLinks(array(
        array(
            'desc' => "Sun's Java site", 
            'url'  => "http://www.javasoft.com/"
        ),

        array(
            'desc' => "JavaDeps project page", 
            'url'  => "http://www.vet.com.au/java/javadeps/"
        ),

        array(
            'desc' => "GNU", 
            'url'  => "http://www.gnu.org/"
        ),
        array(
            'desc' => "Vim Home page", 
            'url'  => "http://www.vim.org/"
        ),
        array(
            'desc' => "PHP", 
            'url'  => "http://www.php.net/"
        ),
        array(
            'desc' => "OpenBSD", 
            'url'  => "http://www.openbsd.com/"
        )
        
    ));
    echo("</p>");


    echo("<p>");
    echo("\n");
    echo("Contact the author: ");
    echo("<a href=\"mailto:");
    echo($project['email']);
    echo("?subject=getopt");
    echo("\">");
    echo($project['email']);
    echo("</a>");
    echo("</p>");
    echo("\n");

    createCounterInfo("getopt.dat");
}

?>

